Robotsystem from Robot Group Leipzig: Hinge2Joint Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# Hinge2Joint Class Reference

`#include <joint.h>`

Inheritance diagram for Hinge2Joint:

[legend]
Collaboration diagram for Hinge2Joint:

[legend]
List of all members.

## Detailed Description

Definition at line 183 of file joint.h.

## Public Member Functions
| Hinge2Joint (Primitive *part1, Primitive *part2, const osg::Vec3 &anchor, const Axis &axis1, const Axis &axis2)
virtual | ~Hinge2Joint ()
virtual void | init (const OdeHandle &odeHandle, const OsgHandle &osgHandle, bool withVisual=true, double visualSize=0.2)
| initialises (and creates) the joint.
virtual void | update ()
| should syncronise the Ode stuff and the OSG notes (if any)
virtual void | addTorques (double t1, double t2)
| adds torques to axis 1 and 2
virtual double | getPosition1 ()
virtual double | getPosition2 ()
virtual double | getPosition1Rate ()
| This is not supported by the joint!
virtual double | getPosition2Rate ()
virtual void | setParam (int parameter, double value)
| sets the ODE joint parameter (see ODE manual)
virtual double | getParam (int parameter)
| return the ODE joint parameter (see ODE manual)
## Protected Attributes
OSGPrimitive * | visual

## Constructor & Destructor Documentation

Hinge2Joint | ( | Primitive * | part1,
|  | Primitive * | part2,
|  | const osg::Vec3 & | anchor,
|  | const Axis & | axis1,
|  | const Axis & | axis2
| ) |

| Definition at line 182 of file joint.cpp.

~Hinge2Joint | ( |  | ) | `[virtual]`

| Definition at line 187 of file joint.cpp.

## Member Function Documentation

void addTorques | ( | double | t1,
|  | double | t2
| ) | `[virtual]`

| adds torques to axis 1 and 2 Definition at line 224 of file joint.cpp.

double getParam | ( | int | parameter | ) | `[virtual]`

| return the ODE joint parameter (see ODE manual) Implements Joint. Definition at line 249 of file joint.cpp.

double getPosition1 | ( |  | ) | `[virtual]`

| Implements OneAxisJoint. Definition at line 228 of file joint.cpp.

double getPosition1Rate | ( |  | ) | `[virtual]`

| This is not supported by the joint! Implements OneAxisJoint. Definition at line 237 of file joint.cpp.

double getPosition2 | ( |  | ) | `[virtual]`

| Implements TwoAxisJoint. Definition at line 232 of file joint.cpp.

double getPosition2Rate | ( |  | ) | `[virtual]`

| Implements TwoAxisJoint. Definition at line 241 of file joint.cpp.

void init | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | bool | withVisual = `true`,
|  | double | visualSize = `0.2`
| ) | `[virtual]`

| initialises (and creates) the joint. If visual is true then axis2 of the joints is also drawn as a slim cylinder. visualSize is the length of the cylinder. Implements Joint. Definition at line 191 of file joint.cpp.

void setParam | ( | int | parameter,
|  | double | value
| ) | `[virtual]`

| sets the ODE joint parameter (see ODE manual) Implements Joint. Definition at line 245 of file joint.cpp.

void update | ( |  | ) | `[virtual]`

| should syncronise the Ode stuff and the OSG notes (if any) Implements Joint. Definition at line 207 of file joint.cpp.

## Member Data Documentation

OSGPrimitive* visual`[protected]`

| Definition at line 208 of file joint.h.